> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Revert merchant feedback for an end user

> Revert merchant feedback annotations created by the feedback_client annotator



## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_users/{end_user_id_or_heron_id}/merchant_feedback/revert
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/merchant_feedback/revert:
    post:
      tags:
        - EnrichmentFeedback
      summary: Revert merchant feedback for an end user
      description: >-
        Revert merchant feedback annotations created by the feedback_client
        annotator
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EndUserMerchantFeedbackRevert'
        description: List of transaction heron IDs to revert merchant feedback
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  reverted:
                    description: List of transaction heron IDs that were reverted
                    items:
                      type: string
                    type: array
                  skipped:
                    description: List of transaction heron IDs that were skipped
                    items:
                      type: string
                    type: array
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EndUserMerchantFeedbackRevert:
      properties:
        transaction_heron_ids:
          description: List of transaction heron IDs to revert merchant feedback
          items:
            example: txn_3TRz5fWZucsn359rHetiD2
            type: string
          type: array
      required:
        - transaction_heron_ids
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````